gnutls_x509_crq_set_challenge_password(3)

NAME
gnutls_x509_crq_set_challenge_password - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_challenge_password(gnutls_x509_crq_t crq, const char * pass);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

const char * pass
    holds a (0)-terminated password

DESCRIPTION
This function will set a challenge password to be used when revoking the request.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/